std::runtime_error(3)

NAME
std::runtime_error -

SYNOPSIS

Inherits std::exception.

Inherited by std::overflow_error, std::range_error, std::regex_error, std::system_error, and std::underflow_error.

  Public Member Functions
runtime_error (const string &__arg)
virtual const char * what () const noexcept

Detailed Description

One of two subclasses of exception. Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Definition at line 112 of file stdexcept.

Constructor & Destructor Documentation

  std::runtime_error::runtime_error (const string &__arg) [explicit]
Takes a character string describing the error.

Member Function Documentation

  virtual const char* std::runtime_error::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.